<template>
  <Echart :options="optionsData" :width="400" :height="200" />
</template>

<script setup name="BarSalerClueReport">
import { set } from 'lodash-es'

onMounted(() => {
  nextTick(() => {
    getReportData()
  })
})

const optionsData = ref({})

const getReportData = async () => {
  // const data = await HomeApi.getClueSignSignRate()
  set(optionsData, 'radiusAxis', {
    type: 'category',
    data: ['宝典', '一点通', '抖音', '小红书'],
    z: 10
  })
  set(optionsData, 'series', [
    {
      type: 'bar',
      data: [1, 2, 3, 4],
      coordinateSystem: 'polar',
      name: '高意向A',
      stack: 'a',
      emphasis: {
        focus: 'series'
      }
    },
    {
      type: 'bar',
      data: [2, 4, 6, 8],
      coordinateSystem: 'polar',
      name: '中意向B',
      stack: 'a',
      emphasis: {
        focus: 'series'
      }
    },
    {
      type: 'bar',
      data: [1, 2, 3, 4],
      coordinateSystem: 'polar',
      name: '低意向C',
      stack: 'a',
      emphasis: {
        focus: 'series'
      }
    }
  ])
}

defineExpose({
  getReportData
})
</script>

<style lang="scss" scoped></style>
